#
# spec file for package sharutils (Version 4.2c)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  mailx mininews tcl tcl-devel tk xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 mailx make man mininews mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone tk unzip util-linux vim xdevel xf86 xshared

Name:         sharutils
Copyright:    GPL
Group:        Applications/Archiving
Autoreqprov:  on
Obsoletes:    sharutil
Version:      4.2c
Release:      155
Summary:      GNU shar utilities
Source: sharutils-%{version}.tar.gz
%define uudeview_version 0.5.13
Source1: uudeview-%{uudeview_version}.tar.gz
Patch: sharutils-%{version}.dif
Patch1: uudeview-%{uudeview_version}.dif
BuildRoot: %{_tmppath}/%{name}-root

%description
This is the set of GNU shar utilities.
`shar' makes so-called shell archives out of many files, preparing
them for transmission by electronic mail services.  `unshar' helps
unpacking shell archives after reception.
`uuencode' prepares a file for transmission over an electronic channel
which ignores or otherwise mangles the eight bit (high order bit) of
bytes.  `uudecode' does the converse transformation.
`remsync' allows for remote synchronization of directory trees,
using electronic mail.  This part of sharutils is still alpha.

SuSE series: ap

%prep
%setup -b 1
%patch
cd ../uudeview-%{uudeview_version}
%patch1

%build
CFLAGS=$RPM_OPT_FLAGS INSTALL_SCRIPT='${INSTALL}' \
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir}
make
make check
cd ../uudeview-%{uudeview_version}
CFLAGS=$RPM_OPT_FLAGS INSTALL_PROGRAM='$(INSTALL) -s' \
./configure --prefix=%{_prefix} --mandir=%{_mandir} \
	    --disable-minews
make

%install
make install-strip prefix=$RPM_BUILD_ROOT%{_prefix} \
     mandir=$RPM_BUILD_ROOT%{_mandir} infodir=$RPM_BUILD_ROOT%{_infodir}
install -d $RPM_BUILD_ROOT%{_mandir}/man1 $RPM_BUILD_ROOT%{_mandir}/man5
install -m 644 doc/{shar,unshar,uuencode}.1 $RPM_BUILD_ROOT%{_mandir}/man1
ln -sf uuencode.1 $RPM_BUILD_ROOT%{_mandir}/man1/uudecode.1
install -d $RPM_BUILD_ROOT%{_mandir}/man5
install -m 644 doc/uuencode.5 $RPM_BUILD_ROOT%{_mandir}/man5
cd ../uudeview-%{uudeview_version}
make install prefix=$RPM_BUILD_ROOT%{_prefix} \
     MANDIR=$RPM_BUILD_ROOT%{_mandir}

%clean
test $RPM_BUILD_ROOT -ef / || rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/mail-files
/usr/bin/mailshar
/usr/bin/remsync
/usr/bin/shar
/usr/bin/unshar
/usr/bin/uudecode
/usr/bin/uudeview
/usr/bin/uuencode
/usr/bin/uuenview
/usr/bin/uuwish
/usr/bin/xdeview
%doc %{_infodir}/sharutils.info.gz
/usr/share/locale/*/LC_MESSAGES/sharutils.mo
%doc %{_mandir}/man1/shar.1.gz
%doc %{_mandir}/man1/unshar.1.gz
%doc %{_mandir}/man1/uudecode.1.gz
%doc %{_mandir}/man1/uudeview.1.gz
%doc %{_mandir}/man1/uuencode.1.gz
%doc %{_mandir}/man1/uuenview.1.gz
%doc %{_mandir}/man1/xdeview.1.gz
%doc %{_mandir}/man5/uuencode.5.gz

%changelog -n sharutils
* Mon Dec 04 2000 - schwab@suse.de
- Use BuildRoot.
- Avoid `install -s' on non-binaries.
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Tue Oct 24 2000 - schwab@suse.de
- Renamed from sharutil.
* Tue May 30 2000 - schwab@suse.de
- mailshar: recognize `*.tgz' as compressed file
* Mon May 29 2000 - max@suse.de
- changed use of Tk_Main to Tk_MainEx for compatibility with
  Tcl/Tk 8.3.
* Tue Jan 18 2000 - schwab@suse.de
- /usr/{info,man} -> /usr/share/{info,man}
* Tue Jan 04 2000 - schwab@suse.de
- Enable NLS
* Tue Jan 04 2000 - schwab@suse.de
- Y2K fixes from sharutils 4.2.1
- Fix mktemp usage and quoting in mailshar
* Tue Oct 12 1999 - ro@suse.de
- added tcld to neededforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 08 1999 - schwab@suse.de
- run "make check"
* Fri Aug 27 1999 - schwab@suse.de
- specfile cleanup
- add mininews as neededforbuild
- fix shell expansion bug in uudeview configure script
* Fri Jul 17 1998 - werner@suse.de
- Use mktemp
* Thu Jul 16 1998 - werner@suse.de
- mailshar fix to remove already existing temp files
* Thu Feb 05 1998 - florian@suse.de
- fix setting of mail program for mailshar
* Fri Oct 17 1997 - ro@suse.de
- ready for autobuild
* Sun Jun 22 1997 - florian@suse.de
- update to sharutil 4.2c
- update to uudeview 0.5.13
* Thu Jan 02 1997 - florian@suse.de
  added additional source package uudeview
